Subject: Re: AAA requirements (was Re: [nemo] my list of compiled requirements)

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 14 Nov 2002 10:38:05 -0600

Hello ChanWah,
  I think you forgot to cc the mail to nemo ML ):?  My comments in line.

ChanWah Ng wrote:

>>
>>    
>>
>
>Perhaps it is the fault on our part that draft-ng-nemo-aaa-use-00.txt 
>specify both (1) AAA requirements on NEMO solution and 
>(2) NEMO requirements on AAA solutions.  
>
>I will attempt to classify them into the two different catergories.
>
>  
>
>>(1)The AAA servers MUST be able to share, or dynamically establish 
>>   security associations with external authorities that are able 
>>   to verify the credentials provided by the client. 
>>    
>>
>
>This is definitely a requirement for AAA solution.
>
>  
>
>>(2)The VMN or MR MUST be able to provide complete, unforgeable 
>>   credentials without having to contact its home agent. 
>>    
>>
>
>This is a bit more complicated.  I will think it contains both types.  
>It may place requirements on both NEMO and AAA solution.
>
I think that
draft-ernst-nemo-requirements-00.txt
already has similar requirements.

>
>  
>
>>(3)Intermediate nodes MUST not be able to learn any information 
>>   which may enable them to reconstruct and reuse the credentials. 
>>    
>>
>
>Same here.  We can draw at least the requirement for NEMO: eg. MR/AR 
>must not be able to snoop into packet sent by MNNs to the HA of MNNs.
>It also place requirements for AAA solution in that it requires the 
>AAA solution to provide a mechanism to securely transfer the 
>credentials.
>  
>
May I restate this as follows:
MR MUST NOT snoop into the packets sent by MNN to HA of MNN.

>  
>
>>(4)AAA request and response operations between the ARs/MRs and the 
>>   respective AAA servers MUST prevent eavesdropping. 
>>    
>>
>
>This is requirement for AAA solution.
>  
>
agreed

>  
>
>>(5)AAA request and response operations between the ARs/MRs and the 
>>   respective AAA servers MUST NOT be vulnerable to denial-of-
>>   service attack. 
>>    
>>
>
>This is requirement for AAA solution.
>  
>
agreed

>  
>
>>(6)AAA request and response operations between the ARs/MRs and the 
>>   respective AAA servers MUST NOT be vulnerable to man-in-the-
>>   middle attack. 
>>    
>>
>
>This is requirement for AAA solution.
>
agreed

>
>  
>
>>(7)MR that supports attachment of VMN on its internal link SHOULD 
>>   implement AAA client capability to be able to contact MR's home 
>>   AAA server to check on credentials provided by the visiting 
>>   nodes. 
>>    
>>
>
>This will be requirement for NEMO solution/implementation.  For 
>example, (just an example!) when designing the mechansim to set-up 
>bi-directional tunnel, a way to piggyback secure credentials should 
>be considered.
>
  May I restate this as follows?
MR that supports VMN on its internal link MUST establish the 
bi-directional tunnel in such a way as to enable authentication of VMN 
by VMN's home AAA server.

>  
>
>>(8)MR that support attachment of VMN on its internal links SHOULD 
>>   NOT change its AAA policy for the said VMNs during a continuous 
>>   session, even when the MR has undergone a handover between AR 
>>   of different administrative domains. 
>>    
>>
>
>This is a policy requirement, very difficult to classify into AAA or 
>NEMO solution.  If I must do it, I will say this will be more of a 
>requirments for AAA solution.  But it does place requirements (or 
>perhaps non-goals?) on NEMO solution/implementation as well.
>  
>
Maybe keep this as AAA requirement?

>/rgds
>/cwng
--behcet

---

From: ChanWah Ng <[email-masked]>
Date: Thu, 14 Nov 2002 18:31:44 -0800 (PST)

>   I think you forgot to cc the mail to nemo ML ):?  My comments in line.

I realized that :)

> already has similar requirements.
Can you specifically point out which requirement in Thierry's draft is similar?

> MR MUST NOT snoop into the packets sent by MNN to HA of MNN.
perhaps "MR/AR MUST NOT ..."

> by VMN's home AAA server.

I think we can break this requirement into the following:
(i) MR to set up secure bidirectional tunnel between MR and HA of MR
(ii) MR has to implement AAA client function

/rgds
/cwng

__________________________________________________
Do you Yahoo!?
Yahoo! Web Hosting - Let the expert host your site
http://webhosting.yahoo.com

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 15 Nov 2002 18:02:32 -0600

Comments in line.

>Can you specifically point out which requirement in Thierry's draft is similar?
What I meant was the requirements Thierry stated on control messages 
such as all control messages must be authenticated, the sender must be 
authorized, etc. Maybe it is not the same thing.
OK.

>perhaps "MR/AR MUST NOT ..."
OK

--behcet